org.apache.sling.commons.osgi

## Class ManifestHeader.NameValuePair

- java.lang.Object
- - org.apache.sling.commons.osgi.ManifestHeader.NameValuePair

Enclosing class:
  ManifestHeader

    public static final class ManifestHeader.NameValuePair
    extends Object

Directives and attributes are simple name/value pairs.

### Constructor Summary

Constructors
Constructor and Description
`NameValuePair(String name, String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameValuePair

    public NameValuePair(String name,
                         String value)

### Method Detail

#### getName

    public String getName()

#### getValue

    public String getValue()